petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMShellSetCreateMatrix

sets the routine to create a matrix associated with the shell DM

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetCreateMatrix(DM dm,PetscErrorCode (*func)(DM,Mat*))

Logically Collective on DM

### Input Arguments

| dm | - the shell DM
| func | - the function to create a matrix

### See Also

DMCreateMatrix(), DMShellSetMatrix()

Level:advanced
Location:src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages